Package org.eclipse.microprofile.fault.tolerance.tck.asynchronous

# Class AsyncCancellationClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.asynchronous.AsyncCancellationClient

@RequestScoped public class AsyncCancellationClient extends Object

## Constructor Summary

Constructors
Constructor
Description
`AsyncCancellationClient()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getServiceAsyncRetryAttempts()`
`Future<?>`
`serviceAsync(Barrier barrier, AtomicBoolean wasInterrupted)`
`Future<?>`
`serviceAsyncBulkhead(Barrier barrier)`
`Future<?>`
`serviceAsyncRetry(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncCancellationClient

public AsyncCancellationClient()

## Method Details

### serviceAsync

@Asynchronous public Future<?> serviceAsync(Barrier barrier, AtomicBoolean wasInterrupted)

### serviceAsyncRetry

@Asynchronous @Retry(maxRetries=5, delay=0L, jitter=0L) public Future<?> serviceAsyncRetry(Barrier barrier) throws InterruptedException

Throws:
  `InterruptedException`

### getServiceAsyncRetryAttempts

public int getServiceAsyncRetryAttempts()

### serviceAsyncBulkhead

@Asynchronous @Bulkhead(value=1, waitingTaskQueue=1) public Future<?> serviceAsyncBulkhead(Barrier barrier)